import * as React from 'react';
import './index.scss';
interface SelectImgSetterProps {
    value: boolean;
    options: any;
    onChange: (val: number) => void;
    SelectCopy: any;
}
export default class SelectImgSetterSrc extends React.PureComponent<SelectImgSetterProps> {
    static displayName: string;
    state: {
        isFocus: boolean;
        chooseImg: string;
    };
    changeChildProp: any;
    componentDidMount(): void;
    bindEvent: () => void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
